Name:          pam_krb5
Version:       4.11
Release:       1mamba
Summary:       Kerberos 5 interface library to PAM
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.fedorahosted.org/pam_krb5
Source:        https://github.com/rra/pam-krb5.git/upstream%2F%{version}/pam-krb5-%{version}.tar.bz2
#Source:        https://fedorahosted.org/releases/p/a/pam_krb5/pam_krb5-%{version}-1.tar.gz
License:       LGPL
Requires:      pam
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libe2fs-devel
BuildRequires: libkrb5-devel
BuildRequires: libpam-devel
## AUTOBUILDREQ-END

%description
A kerberos 5 interface library to PAM.

%debug_package

%prep
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%setup -q -n pam-krb5-%{version}

%build
%configure

%make

%install
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
if [ $1 -eq 1 ]; then
# new install
grep pam_krb5.so %{_sysconfdir}/pam.d/system-auth >/dev/null || sed -i -e '/%PAM-1.0/a\
auth	    sufficient	  pam_krb5.so' %{_sysconfdir}/pam.d/system-auth
fi
:

%files
%defattr(-,root,root)
%attr(0755,root,root) %{_libdir}/security/pam_krb5.so
%{_mandir}/man5/pam_krb5*
%doc LICENSE

%changelog
* Sat Mar 11 2023 Automatic Build System <autodist@mambasoft.it> 4.11-1mamba
- automatic version update by autodist

* Sat Aug 11 2012 Automatic Build System <autodist@mambasoft.it> 2.3.14-1mamba
- automatic version update by autodist

* Wed Apr 25 2012 Automatic Build System <autodist@mambasoft.it> 2.3.13-1mamba
- automatic version update by autodist

* Fri Jun 17 2011 Automatic Build System <autodist@mambasoft.it> 2.3.12-1mamba
- automatic update by autodist

* Mon Jul 12 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3.11-2mamba
- rebuilt with krb5 1.8.2 (disable Kerberos 4)

* Tue Apr 27 2010 Automatic Build System <autodist@mambasoft.it> 2.3.11-1mamba
- automatic update by autodist

* Fri Feb 05 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3.10-1mamba
- update to 2.3.10

* Sat Oct 11 2008 Tiziana Ferro <tiziana.ferro@email.it> 2.3.2-1mamba
- update to 2.3.2
- mantainer updated
- source path updated
- language support added

* Mon Feb 13 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.6-1qilnx
- first build
